package controllers
 
import play.api.mvc._
import com.excilys.ebi.gatling.core.Predef._
import com.excilys.ebi.gatling.http.Predef._
import com.excilys.ebi.gatling.jdbc.Predef._
import com.excilys.ebi.gatling.core.result.message.RunRecord
import com.excilys.ebi.gatling.charts.report.ReportsGenerator
import com.excilys.ebi.gatling.core.config._
import com.excilys.ebi.gatling.core.runner.{Selection, Runner}
import akka.util.duration._
import util.Random
import bootstrap._
 
object Application extends Controller {
 
  def index = Action {
 
    gatling
 
    Ok(views.html.index("Your new application is ready."))
  }
 
 
  def gatling {
     println("Creating run record")
    import org.joda.time.DateTime._
 val runInfo = new RunRecord(now, "run-test", "stress-test")
    println("Run record created > run scenario")
    GatlingConfiguration.setUp() 
    val selection = new Selection(classOf[ExampleSimulation].asInstanceOf[Class[com.excilys.ebi.gatling.core.Predef.Simulation]], "", "")
    
    println("selection  "+selection)
     val x = new Runner(selection).run
    println("Simulation Finished.")
   
 
    
    sys.exit
 
  }
 
 
 
}
