package com

import com.excilys.ebi.gatling.core.Predef._
import com.excilys.ebi.gatling.http.Predef._
import com.excilys.ebi.gatling.jdbc.Predef._
import com.excilys.ebi.gatling.http.Headers.Names._
import akka.util.duration._
import util.Random
import bootstrap._

class CAUCIDSimulation extends Simulation{
  var time1 :Long =0;
var time2 :Long =0;
val logger = org.slf4j.LoggerFactory.getLogger("TEST")
val httpConf = httpConfig.baseURL("http://10.253.28.32:9000")
.responseInfoExtractor { response =>
  if (response.getStatusCode == 200) {
     val extendedResponse = response.asInstanceOf[com.excilys.ebi.gatling.http.response.ExtendedResponse]
     time1 = extendedResponse.responseReceivingStartDate
      logger.info("PEUCID body {}",extendedResponse.request.getStringData)
     
  }
  Nil
}

val headers_3 = Map(
		"Content-Type" -> "text/plain")

val scnUCID = scenario("PEUCID")
.feed(csv("PEdata.csv"))
.exec(http("PEUCID")
   .post("/presence/%2B${tn}@ims.comcast.net")
   .body(session =>"""<?xml version="1.0" encoding="UTF-8"?><presence entity="sip:+"""+session.getAttribute("tn")+"""@ims.comcast.net" xmlns="urn:ietf:params:xml:ns:pidf"><tuple id="comcast_UCID"><status><basic>open</basic></status>
       <ucid version="1.0" tid="UC00-"""+Random.nextInt+"""" callstatus="ringing"><cname>Beatle Bailey</cname><cnum>8565551001</cnum><curi>sip:+18567806771</curi></ucid><timestamp>2013-02-26T07:59:15Z</timestamp></tuple></presence>""")
	.headers(headers_3)
    .check(status.is(200)))
    .pause(0 milliseconds, 700 milliseconds)
setUp(
   scnUCID.users(3000).protocolConfig(httpConf)
 )

}